--PSPMoney by A. Brummer alias uPSP_08

--Variablen

if pge.file.exists(pge.dir.getcwd().."/wechselkurse.lua") then
dofile(pge.dir.getcwd().."/wechselkurse.lua")
else
datumtag="27"
datummonat="08"
datumjahr="2009"
pfundindollar=1.62871
dollarinpfund=0.61398
irakdinarindollar=0.0008835
dollarinirakdinar=1131.86
goldindollar=946.640
dollaringold=0.001056
euroindollar=1.42799
dollarineuro=0.70029
yenindollar=0.01062
dollarinyen=94.15982
dmineuro=0.51129
euroindm=1.95583
end

if already==0 then
eingabe=0
ausgabe=0
osk_aktiv=0
auswahllinks=1
auswahlrechts=1
stellelinks=1
stellerechts=0
select=pge.texture.load("/img/Tasten/select.png")
dreieck=pge.texture.load("/img/Tasten/dreieck.png")
start=pge.texture.load("/img/Tasten/start.png")
irak=pge.texture.load("/img/Flaggen/irak.png")
usa=pge.texture.load("/img/Flaggen/usa.png")
gold=pge.texture.load("/img/Flaggen/gold.png")
eu=pge.texture.load("/img/Flaggen/eu.png")
japan=pge.texture.load("/img/Flaggen/japan.png")
end
background=pge.texture.load("/img/bgmain.png")

--Funtionen
function ausrechnen()
if auswahllinks==auswahlrechts then
ausgabe=eingabe
else
if auswahllinks==1 then
indollar=eingabe
elseif auswahllinks==2 then
indollar=eingabe*pfundindollar
elseif auswahllinks==3 then
indollar=eingabe*irakdinarindollar
elseif auswahllinks==4 then
indollar=eingabe*goldindollar
elseif auswahllinks==5 then
indollar=eingabe*euroindollar
elseif auswahllinks==6 then
indollar=eingabe*yenindollar
elseif auswahllinks==7 then
indollar=eingabe*dmineuro*euroindollar
end
if auswahlrechts==1 then
ausgabe=indollar
elseif auswahlrechts==2 then
ausgabe=indollar*dollarinpfund
elseif auswahlrechts==3 then
ausgabe=indollar*dollarinirakdinar
elseif auswahlrechts==4 then
ausgabe=indollar*dollaringold
elseif auswahlrechts==5 then
ausgabe=indollar*dollarineuro
elseif auswahlrechts==6 then
ausgabe=indollar*dollarinyen
elseif auswahlrechts==7 then
ausgabe=indollar*dollarineuro*euroindm
end
end
end



--MainLoop
while pge.running() do
already=1
if osk_aktiv==1 then
pge.controls.disable()
elseif osk_aktiv==0 then
pge.controls.enable()
end
pge.controls.update()
pge.gfx.startdrawing()
pge.gfx.clearscreen()
background:activate()
background:draweasy(0,0)
select:activate()
select:draweasy(20,248)
dreieck:activate()
dreieck:draweasy(137,248)
start:activate()
start:draweasy(347,248)

usa:activate()
usa:draweasy(10,37)
usa:draweasy(250,37)
grosbrit:activate()
grosbrit:draweasy(10,62)
grosbrit:draweasy(250,62)
irak:activate()
irak:draweasy(10,87)
irak:draweasy(250,87)
gold:activate()
gold:draweasy(10,112)
gold:draweasy(250,112)
eu:activate()
eu:draweasy(10,137)
eu:draweasy(250,137)
japan:activate()
japan:draweasy(10,162)
japan:draweasy(250,162)
deu:activate()
deu:draweasy(10,187)
deu:draweasy(250,187)


klein:activate()
klein:print(65,250,schwarz,"Hilfe")
klein:print(164,250,schwarz,"Wechselkurse aktualisieren")
klein:print(392,250,schwarz,"Beenden")

mittel:activate()
mittel:print(10,5,blau,"Eingabe-Betrag")
mittel:print(250,5,blau,"Ausgabe-Betrag")
mittel:print(20,218,schwarz,eingabe)
mittel:print(260,218,schwarz,ausgabe)


if auswahllinks==1 and stellelinks==1 then
mittel:activate()
mittel:print(55,40,rot,"US-Dollar")
elseif auswahllinks==1 then
klein:activate()
klein:print(55,40,rot,"US-Dollar")
elseif stellelinks==1 then
mittel:activate()
mittel:print(55,40,schwarz,"US-Dollar")
else
klein:activate()
klein:print(55,40,schwarz,"US-Dollar")
end
if auswahllinks==2 and stellelinks==2 then
mittel:activate()
mittel:print(55,65,rot,"Britisches Pfund")
elseif auswahllinks==2 then
klein:activate()
klein:print(55,65,rot,"Britisches Pfund")
elseif stellelinks==2 then
mittel:activate()
mittel:print(55,65,schwarz,"Britisches Pfund")
else
klein:activate()
klein:print(55,65,schwarz,"Britisches Pfund")
end
if auswahllinks==3 and stellelinks==3 then
mittel:activate()
mittel:print(55,90,rot,"Irak-Dinar")
elseif auswahllinks==3 then
klein:activate()
klein:print(55,90,rot,"Irak-Dinar")
elseif stellelinks==3 then
mittel:activate()
mittel:print(55,90,schwarz,"Irak-Dinar")
else
klein:activate()
klein:print(55,90,schwarz,"Irak-Dinar")
end
if auswahllinks==4 and stellelinks==4 then
mittel:activate()
mittel:print(55,115,rot,"Gold (Uz.)")
elseif auswahllinks==4 then
klein:activate()
klein:print(55,115,rot,"Gold (Uz.)")
elseif stellelinks==4 then
mittel:activate()
mittel:print(55,115,schwarz,"Gold (Uz.)")
else
klein:activate()
klein:print(55,115,schwarz,"Gold (Uz.)")
end
if auswahllinks==5 and stellelinks==5 then
mittel:activate()
mittel:print(55,140,rot,"Euro")
elseif auswahllinks==5 then
klein:activate()
klein:print(55,140,rot,"Euro")
elseif stellelinks==5 then
mittel:activate()
mittel:print(55,140,schwarz,"Euro")
else
klein:activate()
klein:print(55,140,schwarz,"Euro")
end
if auswahllinks==6 and stellelinks==6 then
mittel:activate()
mittel:print(55,165,rot,"Japanischer Yen")
elseif auswahllinks==6 then
klein:activate()
klein:print(55,165,rot,"Japanischer Yen")
elseif stellelinks==6 then
mittel:activate()
mittel:print(55,165,schwarz,"Japanischer Yen")
else
klein:activate()
klein:print(55,165,schwarz,"Japanischer Yen")
end
if auswahllinks==7 and stellelinks==7 then
mittel:activate()
mittel:print(55,190,rot,"Deutsche Mark")
elseif auswahllinks==7 then
klein:activate()
klein:print(55,190,rot,"Deutsche Mark")
elseif stellelinks==7 then
mittel:activate()
mittel:print(55,190,schwarz,"Deutsche Mark")
else
klein:activate()
klein:print(55,190,schwarz,"Deutsche Mark")
end
if auswahlrechts==1 and stellerechts==1 then
mittel:activate()
mittel:print(295,40,rot,"US-Dollar")
elseif auswahlrechts==1 then
klein:activate()
klein:print(295,40,rot,"US-Dollar")
elseif stellerechts==1 then
mittel:activate()
mittel:print(295,40,schwarz,"US-Dollar")
else
klein:activate()
klein:print(295,40,schwarz,"US-Dollar")
end
if auswahlrechts==2 and stellerechts==2 then
mittel:activate()
mittel:print(295,65,rot,"Britisches Pfund")
elseif auswahlrechts==2 then
klein:activate()
klein:print(295,65,rot,"Britisches Pfund")
elseif stellerechts==2 then
mittel:activate()
mittel:print(295,65,schwarz,"Britisches Pfund")
else
klein:activate()
klein:print(295,65,schwarz,"Britisches Pfund")
end
if auswahlrechts==3 and stellerechts==3 then
mittel:activate()
mittel:print(295,90,rot,"Irak-Dinar")
elseif auswahlrechts==3 then
klein:activate()
klein:print(295,90,rot,"Irak-Dinar")
elseif stellerechts==3 then
mittel:activate()
mittel:print(295,90,schwarz,"Irak-Dinar")
else
klein:activate()
klein:print(295,90,schwarz,"Irak-Dinar")
end
if auswahlrechts==4 and stellerechts==4 then
mittel:activate()
mittel:print(295,115,rot,"Gold (Uz.)")
elseif auswahlrechts==4 then
klein:activate()
klein:print(295,115,rot,"Gold (Uz.)")
elseif stellerechts==4 then
mittel:activate()
mittel:print(295,115,schwarz,"Gold (Uz.)")
else
klein:activate()
klein:print(295,115,schwarz,"Gold (Uz.)")
end
if auswahlrechts==5 and stellerechts==5 then
mittel:activate()
mittel:print(295,140,rot,"Euro")
elseif auswahlrechts==5 then
klein:activate()
klein:print(295,140,rot,"Euro")
elseif stellerechts==5 then
mittel:activate()
mittel:print(295,140,schwarz,"Euro")
else
klein:activate()
klein:print(295,140,schwarz,"Euro")
end
if auswahlrechts==6 and stellerechts==6 then
mittel:activate()
mittel:print(295,165,rot,"Japanischer Yen")
elseif auswahlrechts==6 then
klein:activate()
klein:print(295,165,rot,"Japanischer Yen")
elseif stellerechts==6 then
mittel:activate()
mittel:print(295,165,schwarz,"Japanischer Yen")
else
klein:activate()
klein:print(295,165,schwarz,"Japanischer Yen")
end
if auswahlrechts==7 and stellerechts==7 then
mittel:activate()
mittel:print(295,190,rot,"Deutsche Mark")
elseif auswahlrechts==7 then
klein:activate()
klein:print(295,190,rot,"Deutsche Mark")
elseif stellerechts==7 then
mittel:activate()
mittel:print(295,190,schwarz,"Deutsche Mark")
else
klein:activate()
klein:print(295,190,schwarz,"Deutsche Mark")
end

pge.gfx.enddrawing()


if pge.controls.pressed(PGE_CTRL_RIGHT) then
if stellelinks==1 then
stellelinks=0
stellerechts=1
elseif stellelinks==2 then
stellelinks=0
stellerechts=2
elseif stellelinks==3 then
stellelinks=0
stellerechts=3
elseif stellelinks==4 then
stellelinks=0
stellerechts=4
elseif stellelinks==5 then
stellelinks=0
stellerechts=5
elseif stellelinks==6 then
stellelinks=0
stellerechts=6
elseif stellelinks==7 then
stellelinks=0
stellerechts=7
elseif stellerechts==1 then
stellerechts=0
stellelinks=1
elseif stellerechts==2 then
stellerechts=0
stellelinks=2
elseif stellerechts==3 then
stellerechts=0
stellelinks=3
elseif stellerechts==4 then
stellerechts=0
stellelinks=4
elseif stellerechts==5 then
stellerechts=0
stellelinks=5
elseif stellerechts==6 then
stellerechts=0
stellelinks=6
elseif stellerechts==7 then
stellerechts=0
stellelinks=7
end
end

if pge.controls.pressed(PGE_CTRL_LEFT) then
if stellelinks==1 then
stellelinks=0
stellerechts=1
elseif stellelinks==2 then
stellelinks=0
stellerechts=2
elseif stellelinks==3 then
stellelinks=0
stellerechts=3
elseif stellelinks==4 then
stellelinks=0
stellerechts=4
elseif stellelinks==5 then
stellelinks=0
stellerechts=5
elseif stellelinks==6 then
stellelinks=0
stellerechts=6
elseif stellelinks==7 then
stellelinks=0
stellerechts=7
elseif stellerechts==1 then
stellerechts=0
stellelinks=1
elseif stellerechts==2 then
stellerechts=0
stellelinks=2
elseif stellerechts==3 then
stellerechts=0
stellelinks=3
elseif stellerechts==4 then
stellerechts=0
stellelinks=4
elseif stellerechts==5 then
stellerechts=0
stellelinks=5
elseif stellerechts==6 then
stellerechts=0
stellelinks=6
elseif stellerechts==7 then
stellerechts=0
stellelinks=7
end
end

if pge.controls.pressed(PGE_CTRL_UP) then
if stellelinks==1 then
stellelinks=7
elseif stellelinks==2 then
stellelinks=1
elseif stellelinks==3 then
stellelinks=2
elseif stellelinks==4 then
stellelinks=3
elseif stellelinks==5 then
stellelinks=4
elseif stellelinks==6 then
stellelinks=5
elseif stellelinks==7 then
stellelinks=6
elseif stellerechts==1 then
stellerechts=7
elseif stellerechts==2 then
stellerechts=1
elseif stellerechts==3 then
stellerechts=2
elseif stellerechts==4 then
stellerechts=3
elseif stellerechts==5 then
stellerechts=4
elseif stellerechts==6 then
stellerechts=5
elseif stellerechts==7 then
stellerechts=6
end
end

if pge.controls.pressed(PGE_CTRL_DOWN) then
if stellelinks==1 then
stellelinks=2
elseif stellelinks==2 then
stellelinks=3
elseif stellelinks==3 then
stellelinks=4
elseif stellelinks==4 then
stellelinks=5
elseif stellelinks==5 then
stellelinks=6
elseif stellelinks==6 then
stellelinks=7
elseif stellelinks==7 then
stellelinks=1
elseif stellerechts==1 then
stellerechts=2
elseif stellerechts==2 then
stellerechts=3
elseif stellerechts==3 then
stellerechts=4
elseif stellerechts==4 then
stellerechts=5
elseif stellerechts==5 then
stellerechts=6
elseif stellerechts==6 then
stellerechts=7
elseif stellerechts==7 then
stellerechts=1
end
end

if pge.controls.pressed(PGE_CTRL_CROSS) then
if stellelinks==1 then
auswahllinks=1
elseif stellelinks==2 then
auswahllinks=2
elseif stellelinks==3 then
auswahllinks=3
elseif stellelinks==4 then
auswahllinks=4
elseif stellelinks==5 then
auswahllinks=5
elseif stellelinks==6 then
auswahllinks=6
elseif stellelinks==7 then
auswahllinks=7
elseif stellerechts==1 then
auswahlrechts=1
elseif stellerechts==2 then
auswahlrechts=2
elseif stellerechts==3 then
auswahlrechts=3
elseif stellerechts==4 then
auswahlrechts=4
elseif stellerechts==5 then
auswahlrechts=5
elseif stellerechts==6 then
auswahlrechts=6
elseif stellerechts==7 then
auswahlrechts=7
end
end

if pge.controls.pressed(PGE_CTRL_SQUARE) then
auswahlrechtsalt=auswahlrechts
auswahllinksalt=auswahllinks
auswahllinks=auswahlrechtsalt
auswahlrechts=auswahllinksalt
end

if pge.controls.pressed(PGE_CTRL_CIRCLE) then
pge.utils.oskinit("Der Punkt entspricht dem Komma.",eingabe)
osk_aktiv=1
eingabe_alt=eingabe
end

if osk_aktiv==1 then
done, eingabe = pge.utils.oskupdate()
if done then
osk_aktiv=0
else
eingabe=eingabe_alt
end
end



if pge.controls.pressed(PGE_CTRL_START) then
pge.exit()
end

if pge.controls.pressed(PGE_CTRL_SELECT) then
dofile("./DEU/HELP.LUA")
end

if pge.controls.pressed(PGE_CTRL_TRIANGLE) then
dofile("./DEU/aktualisieren.lua")
end

if osk_aktiv==0 then
ausrechnen()
end
pge.gfx.swapbuffers()

end